Package ru.bitel.common

# Class ParameterMap.DefaultParameterMap

java.lang.Object
ru.bitel.common.ParameterMap
ru.bitel.common.ParameterMap.DefaultParameterMap

Direct Known Subclasses:
  `XMLUtils.XMLEventReaderParameterMap`, `XMLUtils.XMLStreamReaderParameterMap`

Enclosing class:
  ParameterMap

    public static class ParameterMap.DefaultParameterMap
    extends ParameterMap

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

  `ParameterMap.DefaultParameterMap`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.Map<java.lang.String,​java.lang.String>` | `data` |

  ### Fields inherited from class ru.bitel.common.ParameterMap

  `mapPrint`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DefaultParameterMap​(java.util.Map<java.lang.String,​java.lang.String> data)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Set<java.util.Map.Entry<java.lang.String,​java.lang.String>>` | `entrySet()` |
  `protected void` | `extract​(java.util.Map<java.lang.String,​java.lang.String> data)` |
  `java.lang.String` | `get​(java.lang.String key, java.lang.String def)` |

  ### Methods inherited from class ru.bitel.common.ParameterMap

  `addActionListener, fingerprint, get, getBigDecimal, getBoolean, getChar, getDouble, getEnum, getFloat, getInt, getIntegerList, getLocalDate, getLong, getMap, inherit, sub, subIndexed, subKeyed, subLined, throwActionEvent, toReference, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### data

    protected java.util.Map<java.lang.String,​java.lang.String> data

- ## Constructor Details

  - ### DefaultParameterMap

    public DefaultParameterMap​(java.util.Map<java.lang.String,​java.lang.String> data)

- ## Method Details

  - ### get

    public java.lang.String get​(java.lang.String key, java.lang.String def)
    Specified by:
      `get` in class `ParameterMap`

  - ### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,​java.lang.String>> entrySet()
    Specified by:
      `entrySet` in class `ParameterMap`

  - ### extract

    protected void extract​(java.util.Map<java.lang.String,​java.lang.String> data)
    Overrides:
      `extract` in class `ParameterMap`